package com.hzya.frame.report.lets.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * TOC销售Excel报表导出
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.report.lets.dto
 * @Project：kangarooDataCenterV3
 * @name：TocofsSaleoutDetailedDto
 * @Date：2024/10/30 14:59
 * @Filename：TocofsSaleoutDetailedDto
 */
@Data
public class TocofsSaleoutDetailedDto {

    @ExcelProperty(value = "O出库明细主键")
    private String id;

    @ExcelProperty(value = "O货主编码")
    private String headCompanyCode;

    @ExcelProperty(value = "O仓库编码")
    private String headFacilityCode;

    @ExcelProperty(value = "O平台编码")
    private String headSourcePlatformCode;

    @ExcelProperty(value = "O店铺编码")
    private String headStoreCode;

    @ExcelProperty(value = "O销售出库编码")
    private String headCode;

    @ExcelProperty(value = "O货品sku")
    private String skucode;

    @ExcelProperty(value = "O货品名称")
    private String skuname;

    @ExcelProperty(value = "O实发数量")
    private String shipqty;

    @ExcelProperty(value = "O中台业务类型")
    private String businesstype;

    //库存 开始
    @ExcelProperty(value = "库存-推送状态")
    private String newstate;

    @ExcelProperty(value = "库存-推送时间")
    private String newpushdate;

    @ExcelProperty(value = "库存-报错详情")
    private String newtransmitinfo;

    @ExcelProperty(value = "库存-U8C单号")
    private String newsystemnumber;

    @ExcelProperty(value = "库存-U8C主键")
    private String newsystemprimary;
    //库存 结束

    //交易红 开始
    @ExcelProperty(value = "交易红-推送状态")
    private String newstate2;

    @ExcelProperty(value = "交易红-推送时间")
    private String def1;

    @ExcelProperty(value = "交易红-报错详情")
    private String def2;

    @ExcelProperty(value = "交易红-U8C单号")
    private String newsystemnumber2;

    @ExcelProperty(value = "交易红-U8C主键")
    private String newsystemprimary2;
    //交易红 结束

    //交易蓝 开始
    @ExcelProperty(value = "交易蓝-推送状态")
    private String newstate3;

    @ExcelProperty(value = "交易蓝-推送时间")
    private String def3;

    @ExcelProperty(value = "交易蓝-报错详情")
    private String def4;

    @ExcelProperty(value = "交易蓝-U8C单号")
    private String newsystemnumber3;

    @ExcelProperty(value = "交易蓝-U8C主键")
    private String newsystemprimary3;
    //交易蓝 结束
}
